MIX_UntagTrack(3)

NAME
MIX_UntagTrack - Remove an arbitrary tag from a track.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

void MIX_UntagTrack(MIX_Track *track, const char *tag);

DESCRIPTION
A tag can be any valid C string in UTF-8 encoding. It can be useful to group tracks in various ways. For example, everything in-game might be marked as "game", so when the user brings up the settings menu, the app can pause all tracks involved in gameplay at once, but keep background music and menu sound effects running.

It's legal to remove a tag that the track doesn't have; this function doesn't report errors, so this simply does nothing.

Specifying a NULL tag will remove all tags on a track.

FUNCTION PARAMETERS

track
    the track from which to remove a tag.

tag the tag to remove, or NULL to remove all current tags.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_TagTrack(3)